
From: David Gibson <david@gibson.dropbear.id.au>

In the current ppc64 code the function __ste_allocate() in
arch/ppc64/mm/stab.c takes a context parameter which is never used.  This
patch removes it.



---

 arch/ppc64/kernel/stab.c |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

diff -puN arch/ppc64/kernel/stab.c~ppc64-__ste_allocate-cleanup arch/ppc64/kernel/stab.c
--- 25/arch/ppc64/kernel/stab.c~ppc64-__ste_allocate-cleanup	2004-02-01 22:20:35.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/stab.c	2004-02-01 22:20:35.000000000 -0800
@@ -141,8 +141,7 @@ int make_ste(unsigned long stab, unsigne
 	return (global_entry | (castout_entry & 0x7));
 }
 
-static inline void __ste_allocate(unsigned long esid, unsigned long vsid,
-				  mm_context_t context)
+static inline void __ste_allocate(unsigned long esid, unsigned long vsid)
 {
 	unsigned char stab_entry;
 	unsigned long *offset;
@@ -185,7 +184,7 @@ int ste_allocate(unsigned long ea)
 	}
 
 	esid = GET_ESID(ea);
-	__ste_allocate(esid, vsid, context);
+	__ste_allocate(esid, vsid);
 	/* Order update */
 	asm volatile("sync":::"memory");
 
@@ -215,7 +214,7 @@ static void preload_stab(struct task_str
 	if (!IS_VALID_EA(pc) || (REGION_ID(pc) >= KERNEL_REGION_ID))
 		return;
 	vsid = get_vsid(mm->context, pc);
-	__ste_allocate(pc_esid, vsid, mm->context);
+	__ste_allocate(pc_esid, vsid);
 
 	if (pc_esid == stack_esid)
 		return;
@@ -223,7 +222,7 @@ static void preload_stab(struct task_str
 	if (!IS_VALID_EA(stack) || (REGION_ID(stack) >= KERNEL_REGION_ID))
 		return;
 	vsid = get_vsid(mm->context, stack);
-	__ste_allocate(stack_esid, vsid, mm->context);
+	__ste_allocate(stack_esid, vsid);
 
 	if (pc_esid == unmapped_base_esid || stack_esid == unmapped_base_esid)
 		return;
@@ -232,7 +231,7 @@ static void preload_stab(struct task_str
 	    (REGION_ID(unmapped_base) >= KERNEL_REGION_ID))
 		return;
 	vsid = get_vsid(mm->context, unmapped_base);
-	__ste_allocate(unmapped_base_esid, vsid, mm->context);
+	__ste_allocate(unmapped_base_esid, vsid);
 
 	/* Order update */
 	asm volatile("sync" : : : "memory");

_
